"use strict";

this.name    = "AI Trading Multimode"; 
this.version = "2.12";

/* ========================================================
			CHANGE DISPLAYS BY SCREENS F8,F7,F8.
=========================================================== */

    this.guiScreenChanged = function (to, from) {
        "use strict";
        if (from === "GUI_SCREEN_MARKET" &&
            to === "GUI_SCREEN_SYSTEM_DATA" &&
            player.ship.docked &&
            guiScreen === "GUI_SCREEN_SYSTEM_DATA" &&
            player.ship.equipmentStatus("EQ_AI_TRADING_ASSISTANT") === "EQUIPMENT_OK") {
            this.$modeChangePending = true;
            mission.addMessageText("Switching back to the market screen immediately will change the display mode.");
        } else if (from === "GUI_SCREEN_SYSTEM_DATA") {
            if (to === "GUI_SCREEN_MARKET" &&
                guiScreen === "GUI_SCREEN_MARKET" &&
                this.$modeChangePending === true) {
                worldScripts['AI Trading Assistant'].$displayMode[0][0]++;
                if (worldScripts['AI Trading Assistant'].$displayMode[0][0] >= worldScripts['AI Trading Assistant'].$displayMode.length) {
                    worldScripts['AI Trading Assistant'].$displayMode[0][0] = 1;
                }
                worldScripts['AI Trading Assistant']._setDisplayMode(false, true);
            }
            this.$modeChangePending = false;
        }
    }

/* ========================================================
			THE END
=========================================================== */